# Generated by Django 2.2.4 on 2019-11-14 13:35

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='FoodCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('food_category_name', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Menu',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('item_name', models.CharField(max_length=50)),
                ('item_image', models.ImageField(blank=True, null=True, upload_to='pics/MenuImage')),
                ('item_desc', models.CharField(blank=True, max_length=50, null=True)),
                ('item_price', models.DecimalField(decimal_places=2, max_digits=5, validators=[django.core.validators.MinValueValidator(1.0)])),
                ('item_state', models.CharField(choices=[('AVAILABLE', 'available'), ('REMOVED', 'removed')], default='AVAILABLE', max_length=10)),
                ('item_food_category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='item_category', to='users.FoodCategory')),
            ],
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order_quantity', models.IntegerField()),
                ('order_status', models.CharField(choices=[('CART', 'cart'), ('ORDERED', 'ordered'), ('DELIVERED', 'delivered'), ('CANCELLED', 'cancelled')], max_length=10)),
                ('order_price', models.DecimalField(decimal_places=2, max_digits=8, validators=[django.core.validators.MinValueValidator(1.0)])),
                ('deliverydate', models.DateTimeField(blank=True, null=True)),
                ('menu_name', models.CharField(max_length=25)),
                ('menu_image', models.ImageField(upload_to='pics/MenuImage')),
                ('order_vendor', models.CharField(max_length=25)),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='customer', to=settings.AUTH_USER_MODEL)),
                ('menu', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='menu', to='users.Menu')),
            ],
        ),
        migrations.CreateModel(
            name='Shop',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('shop_name', models.CharField(max_length=50)),
                ('shop_image', models.ImageField(upload_to='pics/ShopImage')),
                ('shop_description', models.CharField(max_length=50)),
                ('shop_price', models.DecimalField(decimal_places=2, max_digits=8, validators=[django.core.validators.MinValueValidator(1000.0)])),
                ('shop_size', models.CharField(max_length=50)),
                ('shop_status', models.CharField(blank=True, choices=[('AVAILABLE', 'available'), ('SOLD', 'sold'), ('PAUSE', 'pause'), ('START', 'start')], default='AVAILABLE', max_length=10, null=True)),
                ('shop_state', models.CharField(blank=True, choices=[('PAUSE', 'pause'), ('START', 'start')], default='PAUSE', max_length=10, null=True)),
                ('vendor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='vendor', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='VegOrNonVeg',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('image', models.ImageField(upload_to='pics/VegOrNonVegImage')),
            ],
        ),
        migrations.CreateModel(
            name='UserExtend',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('gender', models.CharField(max_length=25)),
                ('acceptance', models.CharField(choices=[('ACCEPT', 'accept'), ('DENY', 'deny')], default='ACCEPT', max_length=10)),
                ('userref', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='userrev', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ShopPayment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('purchasedate', models.DateTimeField()),
                ('shop', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='shopid', to='users.Shop')),
                ('vendor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='vendorid', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='OrderHistory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('purchasedate', models.DateTimeField()),
                ('price', models.DecimalField(decimal_places=2, max_digits=6, validators=[django.core.validators.MinValueValidator(1.0)])),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='customerid', to=settings.AUTH_USER_MODEL)),
                ('order', models.ManyToManyField(to='users.Order')),
            ],
        ),
        migrations.AddField(
            model_name='menu',
            name='item_shop',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='item_shop', to='users.Shop'),
        ),
        migrations.AddField(
            model_name='menu',
            name='item_vegornonveg',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='item_vegornonveg', to='users.VegOrNonVeg'),
        ),
        migrations.AddField(
            model_name='foodcategory',
            name='shop',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='category_shop', to='users.Shop'),
        ),
    ]
